Bug 22170 - Library group description input field should be longer
Summary: Library group description input field should be longer
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-18 15:30 UTC by Katrin Fischer
Modified: 2019-05-27 12:30 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22170: Improve display of add/edit library group modal (5.11 KB, patch)
2019-02-09 23:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22056: Remove remaining files in test directories (3.54 KB, patch)
2019-02-09 23:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22170: Improve display of add/edit library group modal (5.15 KB, patch)
2019-02-11 14:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22170: Improve display of add/edit library group modal (5.32 KB, patch)
2019-02-15 20:24 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22170: Improve display of add/edit library group modal (5.38 KB, patch)
2019-02-20 12:52 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-18 15:30:56 UTC
When editing a library group's description the input field is really short which makes it hard to edit. A longer input or a multi-line input would be nice.
Comment 1 Katrin Fischer 2019-02-09 23:19:51 UTC
Created attachment 84936 [details] [review]
Bug 22170: Improve display of add/edit library group modal

Tries to bring the emodal for adding/editing library root
and sub groups more in line with the rest of Koha.

To test:
 - Go to Administration > Library groups
 - With and without patch test following actions:
   - Add a new root group
   - Edit root group
   - Add sub-group entry
   - Edit sub-group entry
- Verify that with the patch the display of the labels
  is more standard (bold and aligned to the right) and
  the input fields are a bit longer to allow for
  easier data entry.
Comment 2 Katrin Fischer 2019-02-09 23:21:18 UTC
I tried to copy parts of what Owen did recently with the 'Draw SQL charts' modal, hopefully it makes sense :)
Comment 3 Katrin Fischer 2019-02-09 23:33:49 UTC
Created attachment 84937 [details] [review]
Bug 22056: Remove remaining files in test directories

It looks like these directories and test files were added
by bug 5309. Later, most of the files were removed as no
longer needed by bug 14321.

Test:
Verify that the files removed are no longer in use and
can be safely removed.
Comment 4 Owen Leonard 2019-02-11 14:07:54 UTC
Created attachment 84972 [details] [review]
Bug 22170: Improve display of add/edit library group modal

Tries to bring the emodal for adding/editing library root
and sub groups more in line with the rest of Koha.

To test:
 - Go to Administration > Library groups
 - With and without patch test following actions:
   - Add a new root group
   - Edit root group
   - Add sub-group entry
   - Edit sub-group entry
- Verify that with the patch the display of the labels
  is more standard (bold and aligned to the right) and
  the input fields are a bit longer to allow for
  easier data entry.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2019-02-11 15:00:50 UTC
Comment on attachment 84937 [details] [review]
Bug 22056: Remove remaining files in test directories

Patch on wrong bug, will fix later!
Comment 6 Mikaël Olangcay Brisebois 2019-02-15 20:24:51 UTC
Created attachment 85192 [details] [review]
Bug 22170: Improve display of add/edit library group modal

Tries to bring the emodal for adding/editing library root
and sub groups more in line with the rest of Koha.

To test:
 - Go to Administration > Library groups
 - With and without patch test following actions:
   - Add a new root group
   - Edit root group
   - Add sub-group entry
   - Edit sub-group entry
- Verify that with the patch the display of the labels
  is more standard (bold and aligned to the right) and
  the input fields are a bit longer to allow for
  easier data entry.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>
Comment 7 Josef Moravec 2019-02-20 12:52:59 UTC
Created attachment 85332 [details] [review]
Bug 22170: Improve display of add/edit library group modal

Tries to bring the emodal for adding/editing library root
and sub groups more in line with the rest of Koha.

To test:
 - Go to Administration > Library groups
 - With and without patch test following actions:
   - Add a new root group
   - Edit root group
   - Add sub-group entry
   - Edit sub-group entry
- Verify that with the patch the display of the labels
  is more standard (bold and aligned to the right) and
  the input fields are a bit longer to allow for
  easier data entry.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikaël Olangcay Brisebois <mikael.olangcay-brisebois@inLibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Nick Clemens 2019-02-22 15:07:48 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-02-26 09:59:31 UTC
Pushed to 18.11.x for 18.11.04
Comment 10 Lucas Gass 2019-03-08 17:15:24 UTC
backported to 18.05.x for 18.05.11